'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configure = configure;

var _config = require('sitegen/config');

function configure(_ref) {
  var env = _ref.env;

  var deployCSS = env.development ? _config.injectCSS : _config.extractCSS;
  // We need to minimize both for production and content because of inlineCSS
  // option and content uses its own build to inline bundle.css.
  var minimize = env.production || env.content;
  var CSSModule = (0, _config.CSS)({
    modules: true,
    minimize: minimize
  });
  var CSSComponent = (0, _config.loader)(require.resolve('react-css-components/webpack'));
  return {
    globalLoaders: {
      '**/*.rcss': [_config.JS, CSSComponent({ loadCSS: deployCSS(CSSModule) })]
    }
  };
} /**
   * @copyright 2016-present, Sitegen team
   */
